## LassoSaml2Evidence LassoSaml2Evidence — <saml2:Evidence> |

## Functions

LassoNode * | lasso_saml2_evidence_new ()

## Types and Values

struct | LassoSaml2Evidence

## Description

Figure 58. Schema fragment for saml2:Evidence

    <complexType name="EvidenceType">
      <choice maxOccurs="unbounded">
        <element ref="saml:AssertionIDRef"/>
        <element ref="saml:AssertionURIRef"/>
        <element ref="saml:Assertion"/>
        <element ref="saml:EncryptedAssertion"/>
      </choice>
    </complexType>

## Functions

### lasso_saml2_evidence_new ()

    LassoNode *
    lasso_saml2_evidence_new (void);

Creates a new LassoSaml2Evidence object.

#### Returns

a newly created LassoSaml2Evidence object

## Types and Values

### struct LassoSaml2Evidence

    struct LassoSaml2Evidence {
    	LassoNode parent;

    	/* elements */
    	GList *AssertionIDRef; /* of LassoNode */
    	GList *AssertionURIRef; /* of LassoNode */
    	GList *Assertion; /* of LassoSaml2Assertion */
    	GList *EncryptedAssertion; /* of LassoSaml2EncryptedElement */
    };